
# Document

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  |  [optional]
**name** | **String** |  |  [optional]
**utlIns** | **String** |  |  [optional]
**dtIns** | [**OffsetDateTime**](OffsetDateTime.md) |  |  [optional]
**utlAlt** | **String** |  |  [optional]
**dtAlt** | [**OffsetDateTime**](OffsetDateTime.md) |  |  [optional]
**deleted** | **Boolean** |  |  [optional]
**extra** | [**List&lt;Pair&gt;**](Pair.md) |  |  [optional]
**externalId** | **String** |  |  [optional]
**externalSource** | **String** |  |  [optional]
**type** | [**DocumentType**](DocumentType.md) |  |  [optional]
**serie** | [**DocumentSerie**](DocumentSerie.md) |  |  [optional]
**number** | **String** |  |  [optional]
**account** | [**Account**](Account.md) |  |  [optional]
**accountBilling** | [**Account**](Account.md) |  |  [optional]
**accountDelivery** | [**Account**](Account.md) |  |  [optional]
**paymentTerm** | [**PaymentTerms**](PaymentTerms.md) |  |  [optional]
**paymentMethod** | [**PaymentMethod**](PaymentMethod.md) |  |  [optional]
**taxZone** | [**TaxZone**](TaxZone.md) |  |  [optional]
**taxRule** | [**TaxRule**](TaxRule.md) |  |  [optional]
**date** | [**OffsetDateTime**](OffsetDateTime.md) |  |  [optional]
**dueDate** | [**OffsetDateTime**](OffsetDateTime.md) |  |  [optional]
**description** | **String** |  |  [optional]
**discountTotal** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**discountAmount** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**discount** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**vatTotal** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**total** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**totalNet** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**currency** | **String** |  |  [optional]
**exchangeRate** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**shippingCosts** | [**BigDecimal**](BigDecimal.md) |  |  [optional]
**taxIncluded** | **Boolean** |  |  [optional]
**externalNumber** | **String** |  |  [optional]
**draft** | **Boolean** |  |  [optional]
**lines** | [**List&lt;DocumentLine&gt;**](DocumentLine.md) |  |  [optional]



